org.eclipse.wst.jsdt.debug.core.jsdi.event

## Interface EventQueue

    public interface EventQueue

A queue for JSDI `EventSet`s

Since:
  1.0
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`EventSet` `remove()` Removes an `EventSet` from the queue waiting for a default timeout if needed.
`EventSet` `remove(int timeout)` Removes an `EventSet` from the queue waiting for the specified timeout if needed.

### Method Detail

#### remove

    EventSet remove()

Removes an `EventSet` from the queue waiting for a default timeout if needed.
This method can return `null`

Returns:
  the top `EventSet` on the queue or `null` if an `EventSet` is not available or there was an exception retrieving the top `EventSet`

#### remove

    EventSet remove(int timeout)

Removes an `EventSet` from the queue waiting for the specified timeout if needed.
This method can return `null`

Parameters:
  `timeout` - the amount of time (in milliseconds) to wait when trying to remove the next `EventSet`
Returns:
  the top `EventSet` on the queue or `null` if an `EventSet` is not available or there was an exception retrieving the top `EventSet`